SetPushCredential
Modifies push credentials.
Allowed roles: Owner, Admin, Developer.
Example request: Modify credentials.
Authentication
AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value:
```
Authorization: Bearer $VOXIMPLANT_TOKEN
```
See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.
Query parameters
push_credential_id
The push credentials id
cert_password
The secret password for private key. Credentials for APPLE push
is_dev_mode
Whether to use this certificate in apple's sandbox environment. Credentials for APPLE push
sender_id
The sender id, provided by Google. Credentials for GOOGLE push
server_key
The server key, provided by Google. Credentials for GOOGLE push
huawei_client_id
The client id, provided by Huawei. Credentials for HUAWEI push
huawei_client_secret
The client secret, provided by Huawei. Credentials for HUAWEI push
huawei_application_id
The application id, provided by Huawei. Credentials for HUAWEI push
Request
This endpoint expects a multipart form with multiple files.
cert_content
Public and private keys in PKCS12 format. Credentials for APPLE push
service_account_file
The service account key file, provided by Google. Can be used instead of server_key. Credentials for GOOGLE push
Response
Successful response
result